import { EndResult, MotionResult, Operation, TouchEndRequest, TouchMotionRequest, TouchStartRequest } from "./Operation";
/**
 * Class for choosing the first valid result returned by an array of operations.
 * If the first result is invalid, the returned result will be marked as invalid
 */
export declare class ValidResultOperation implements Operation {
    /** The operations among which the first valid result will be chosen */
    private operations;
    /**
     * Constructor for ValidResultOperation. Sets the field operations.
     */
    constructor(operations: Operation[]);
    executeStart(request: TouchStartRequest): void;
    executeMotion(request: TouchMotionRequest): MotionResult;
    executeEnd(request: TouchEndRequest): EndResult;
}
